using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class BlocosColoridos : MonoBehaviour
{

    List<GameObject> vetor_cores = new List<GameObject>(); // sem repetição de cores
    List<GameObject> lista_blocos_mapa = new List<GameObject>(); // lista que aparece no mapa
    int i = 0;
    GameObject provisorio; // para popula vetor_cores
    public GameObject[] aux; // para popular provisorio
    Vector2 destino;
    public int[] x_min;
    public int[] x_max;
    public int[] y_min;
    public int[] y_max;


    public void Start()
    {
        for (i = 0; i < 9; i++)
        {

            provisorio = aux[Random.Range(0, 9)];
            //Debug.Log(provisorio.ToString());

            while (vetor_cores.Contains(provisorio))
            {

                provisorio = aux[Random.Range(0, 9)];
            }

            vetor_cores.Add(provisorio);

            //Debug.Log(vetor_cores[0].ToString());
        }

        for (i = 0; i < 9; i++)
        {

            lista_blocos_mapa.Add(vetor_cores[i]);
        }

        for (i = 0; i < 6; i++)
        {
            lista_blocos_mapa.Add(vetor_cores[i]);
        }

        for (i = 0; i < 15; i++)
        {
            destino = new Vector2(Random.Range(x_min[i], x_max[i]), Random.Range(y_min[i], y_max[i]));

            Instantiate(lista_blocos_mapa[i], destino, transform.rotation);

        }
    }

    /*void OnTriggerEnter2D(Collider2D co)
    {
        if (co.gameObject.CompareTag("JogadorAzul") || co.gameObject.CompareTag("JogadorVermelho"))
        {
            Debug.Log("entrei");

            
            for (i = 0; i < 15; i++)
            {
                //destino = new Vector2(Random.Range(x_min[i], x_max[i]), Random.Range(y_min[i], y_max[i]));

                //Instantiate(lista_blocos_mapa[i], destino, transform.rotation);
                //DestroyImmediate(lista_blocos_mapa[i].gameObject, true);
            }
            for (i = 0; i < 15; i++)
            {
                destino = new Vector2(Random.Range(x_min[i], x_max[i]), Random.Range(y_min[i], y_max[i]));

                Instantiate(lista_blocos_mapa[i], destino, transform.rotation);
            }

          }
}*/
}











/* int j = 0;
        if (!(qnt_blocos == cabe_blocos))
        {            
            int cont = 0;
            while (qnt_blocos != cabe_blocos)
            {

                bloco[i] = blocos_col[Random.Range(0, blocos_col.Length)];

                while (i<j)
                {
                    if (bloco[i] == bloco[j])
                    {
                        cont++;
                    }
                    if (cont > 2)
                    {
                        bloco[i] = blocos_col[Random.Range(0, blocos_col.Length)];
                        cont--;
                        j = 0;
                    }
                }
                qnt_blocos++;
                i++;

            }

            for (i = 0; i < cabe_blocos; i++)
            {
                destino = new Vector3(Random.Range(x_min, x_max), Random.Range(y_min, y_max));
                Instantiate((bloco[i]), destino, transform.rotation);
            }
            //nada nessa maão, nada na outra... ja sabe né?!

            Debug.Log("Entrei!! update1");
        }
    }*/
